com.amazonaws.codegen.model.service

## Class ErrorMap

- java.lang.Object
- - com.amazonaws.codegen.model.service.ErrorMap

    public class ErrorMap
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ErrorMap()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`ErrorTrait` `getErrorTrait()`
`String` `getShape()`
`boolean` `isException()`
`boolean` `isFault()`
`void` `setDocumentation(String documentation)`
`void` `setErrorTrait(ErrorTrait errorTrait)`
`void` `setException(boolean exception)`
`void` `setFault(boolean fault)`
`void` `setShape(String shape)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorMap

    public ErrorMap()

### Method Detail

#### getShape

    public String getShape()

#### setShape

    public void setShape(String shape)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### isException

    public boolean isException()

#### setException

    public void setException(boolean exception)

#### isFault

    public boolean isFault()

#### setFault

    public void setFault(boolean fault)

#### getErrorTrait

    public ErrorTrait getErrorTrait()

#### setErrorTrait

    public void setErrorTrait(ErrorTrait errorTrait)